//
//  ShareType.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 8/6/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import Foundation

enum ShareType {
    case pdf
    case jpeg
    
    var displayName: String {
        switch self {
        case .pdf:
                .pdf
        case .jpeg:
                .jpeg
        }
    }
    
    var payloadType: PayloadType {
        self == .pdf ? .pdf : .jpeg
    }
}
