//
//  Clear.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 7/17/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import Foundation

@propertyWrapper struct Clear<T> {
    
    var wrappedValue: T
    
    init() {
        self.wrappedValue = DependencyInjector.resolve()
        DependencyInjector.clear(dependency: wrappedValue)
    }
}
