//
//  UIView+CustomColor.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 8/14/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import Foundation

extension UIView {
    
    func customBackground(_ color: ColorStyle) {
        backgroundColor = color.uiColor
    }
    
    func customLayerBackground(_ color: ColorStyle) {
        layer.backgroundColor = color.uiColor.cgColor
    }
    
    func customBorderColor(_ color: ColorStyle) {
        borderColor = color.uiColor
    }
    
    func customTint(_ color: ColorStyle) {
        tintColor = color.uiColor
    }
}
