//
//  View+HideNavigationBar.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 7/18/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import SwiftUI

extension View {
    
    func hideNavigationBar() -> some View {
        
        if #available(iOS 16.0, *) {
            return self
                .toolbar(.hidden)
        }
        else {
            return self
                .navigationBarHidden(true)
        }
    }
}
