//
//  UISecondaryButton.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 8/15/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import Foundation

class UISecondaryButton: UIButton {
    
    override func awakeFromNib() {
        super.awakeFromNib()
        setupUI()
    }
    
    private func setupUI() {
        
        customTint(.clear)
        customBackground(.secondary)
        customTitleColor(.secondaryText)
        
        set(font: .medium(16))
        cornerRadiuss = 12
    }
}
