//
//  ChangeLanguageUseCase.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 7/17/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import Foundation

class ChangeLanguageUseCase {
    
    private let repository: SettingsRepositoryProtocol
    
    init(repository: SettingsRepositoryProtocol) {
        self.repository = repository
    }
    
    func execute(to language: SupportedLanguage) {
        repository.changeLanguage(to: language)
    }
}
