//
//  MainViewModel.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 7/18/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import Foundation

protocol MainViewModel: ObservableObject {
    
    func onAppear()
    
    func onDisappear()
}

extension MainViewModel {
    
    func onDisappear() { }
}
