//
//  FolderEntity+CoreDataProperties.swift
//
//
//  Created by Mustafa Merza on 7/31/24.
//
//

import Foundation
import CoreData


extension FolderEntity {
    
    @nonobjc public class func fetchRequest() -> NSFetchRequest<FolderEntity> {
        return NSFetchRequest<FolderEntity>(entityName: "FolderEntity")
    }
    
    @NSManaged public var name: String
    @NSManaged public var id: UUID
    @NSManaged public var sessions: NSSet?
}

// MARK: Generated accessors for sessions
extension FolderEntity {
    
    @objc(addSessionsObject:)
    @NSManaged public func addToSessions(_ value: ScanSessionEntity)
    
    @objc(removeSessionsObject:)
    @NSManaged public func removeFromSessions(_ value: ScanSessionEntity)
    
    @objc(addSessions:)
    @NSManaged public func addToSessions(_ values: NSSet)
    
    @objc(removeSessions:)
    @NSManaged public func removeFromSessions(_ values: NSSet)
}
