//
//  AddScanSessionUseCase.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 7/31/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import Foundation

class AddScanSessionUseCase {
    
    private let repository: ScanSessionsRepositoryProtocol
    
    init(repository: ScanSessionsRepositoryProtocol) {
        self.repository = repository
    }
    
    func execute(with params: ScanSession, to folder: Folder) {
        repository.addScanSession(params: params, to: folder)
    }
}
