//
//  GetScanSessionsUseCase.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 7/31/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import Foundation

class GetScanSessionsUseCase {
    
    private let repository: ScanSessionsRepositoryProtocol
    
    init(repository: ScanSessionsRepositoryProtocol) {
        self.repository = repository
    }
    
    func execute() -> [ScanSession] {
        repository.getScanSessions()
    }
}
