//
//  CreditsListView.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 8/15/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import SwiftUI

struct CreditsListView: View {
    
    var credits: [Credit]
    
    var body: some View {
        list
    }
    
    private var list: some View {
        VStack(spacing: 48) {
            
            ForEach(credits) { credit in
                
                CreditCell(credit: credit)
            }
        }
    }
}

#Preview {
    CreditsListView(credits: .placeholder)
}
