//
//  CreditsViewCoordinator.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 8/15/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import Foundation


import UIKit

protocol CreditsViewCoordinating {
    
}

class CreditsViewCoordinator: MainCoordinator, CreditsViewCoordinating {
    
    var navigationController: UINavigationController
    
    init(navigationController: UINavigationController) {
        self.navigationController = navigationController
    }
    
    func start() {
        let view = CreditsView(coordinator: self)
        
        coordinateToView(view)
    }
}
