//
//  DocumentsCellDelegate.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 7/29/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import Foundation

protocol DocumentsCellDelegate: AnyObject {
    
    func renameScanSession(at indexPath: IndexPath)
    func deleteScanSession(at indexPath: IndexPath)
    func moveScanSession(at indexPath: IndexPath)
}
