//
//  Array+RemoveElement.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 7/31/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import Foundation

extension Array where Element: Equatable {
    
    mutating func remove(element: Element) {
        
        if let index = firstIndex(of: element) {
            remove(at: index)
        }
    }
}
