//
//  Image+Images.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 7/21/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import SwiftUI

// MARK: - App images and icons
extension Image {
    
    static let languages = Image(.languagesIc)
    static let brush = Image(.brushIc)
    static let fileDown = Image(.fileDownIc)
    static let smartphone = Image(.smartphoneIc)
    static let info = Image(.infoIc)
}

// MARK: - Common system images and icons
extension Image {
    
    static let chevronBackward = Image(systemName: "chevron.backward")
    
    static let checkmark = Image(systemName: "checkmark")
    static let xMark = Image(systemName: "xmark")
}
