//
//  String+StringKeys.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 7/17/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import Foundation

extension String {
    
    static let today = "today"
    static let yesterday = "yesterday"
    static let thisWeek = "this_week"
    
    static let scan = "scan"
    
    static let discard = "discard"
    static let cancel = "cancel"
    static let delete = "delete"
    static let rename = "rename"
    static let move = "move"
    
    static let renameDocument = "rename_document"
    static let deleteDocument = "delete_document"
    
    static let camera = "camera"
    static let gallery = "gallery"
    
    static let areYouSure = "are_you_sure"
    
    static let currentPage = "current_page"
    
    static let entireDocument = "entire_document"
    
    static let discardScannerMsg = "discard_scanner_msg"
    
    static let addFolder = "add_folder"
    static let addFolderMessage = "add_folder_message"
    
    static let deleteDocumentMsg = "delete_document_msg"
    static let yesDelete = "yes_delete"
    
    static let whatsapp = "whatsapp"
    static let telegram = "telegram"
    static let airdrop = "airdrop"
    static let gmail = "gmail"
    static let print = "print"
    static let more = "more"
    
    static let fileName = "file_name"
    
    static let yes = "yes"
    static let no = "no"
    
    static let fileManager = "file_manager"
    static let folders = "folders"
    static let folderFiles = "folder_files"
    static let noFilesToShow = "no_files_to_show"
    static let folderName = "folder_name"
    static let preview = "preview"
    static let done = "done"
    
    static let settings = "settings"
    
    static let change = "change"
    static let appLanguage = "app_language"
    static let appAppearence = "app_appearence"
    
    static let defaultFileTypeForInstalling = "default_file_type_for_installing"
    
    static let defaultScreenWhenAppStarts = "default_screen_when_app_starts"
    static let files = "files"
    
    static let basedOnDevice = "based_on_device"
    
    static let dark = "dark"
    static let light = "light"
    
    static let Continue = "continue"
    static let back = "back"
    
    static let alert = "alert"
    static let discardChangesMsg = "discard_changes_msg"
    static let discardChangesAndContinueMsg = "discard_changes_and_continue_msg"
    
    static let deleteImageMsg = "delete_image_msg"
    static let ok = "ok"
    
    static let dPages = "%d pages"
    
    static let directShare = "direct_share"
    static let crop = "crop"
    static let edit = "edit"
    static let exportText = "export_text"
    static let signature = "signature"
    
    static let copy = "copy"
    static let copiedToClipboard = "copied_to_clipboard"
    static let signMsg = "sign_msg"
    static let allDocument = "all_document"
    static let add = "add"
    
    static let allDocuments = "all_documents"
    static let passports = "passports"
    static let contracts = "contracts"
    static let identifiers = "identifiers"
    
    static let studio = "studio"
    
    static let theSignature = "the_signature"
    static let save = "save"
    static let saveSignature = "save_signature"
    static let defaultSignature = "default_signature"
    static let useDefaultSignature = "use_default_signature"
    static let deleteDefaultSignature = "delete_default_signature"
    static let deleteSignature = "delete_signature"
    
    static let didntSignAlertTitle = "didnt_sign_alert_title"
    static let didntSignAlertMessage = "didnt_sign_alert_message"
    
    static let confirm = "confirm"
    static let deletePageMsg = "delete_page_msg"
    
    static let pdf = "pdf"
    static let jpeg = "jpeg"
    static let shareImages = "share_images"
    static let shareImagesMsg = "share_images_msg"
    static let share = "share"
    
    static let rotateRight = "rotate_right"
    static let rotateLeft = "rotate_left"
    static let autoDetection = "auto_detection"
    static let deleteFolderMsgS = "delete_folder_msg_s"
    
    static let deleteSelectedPages = "delete_selected_pages"
    static let clear = "clear"
    
    static let selectFolder = "select_folder"
    
    static let credits = "credits"
}
