//
//  Color+Colors.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 7/17/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import SwiftUI

extension Color {
//    
//    static let tintColor = Color(.tint)
//    static let barTintColor = Color(.barTint)
//    
//    static let buttonsBlue = Color(.buttonsBlue)
//    static let cellBackground = Color(.cellBackground)
//    static let lightButton = Color(.lightButton)
//    static let mainBlue = Color(.mainBlue)
//    static let mainText = Color(.mainText)
//    static let separator = Color(.separator)
//    static let titlesText = Color(.titlesText)
//    
//    static let mainBackground = Color(.mainBackground)
}

extension Color {
    
    static let primary = Color(.primary)
    static let secondary = Color(.secondary)
    static let tertiary = Color(.tertiary)
    
    static let primaryText = Color(.primaryText)
    static let secondaryText = Color(.secondaryText)
    static let tertiaryText = Color(.tertiaryText)
    
    static let statusTrue = Color(.statusTrue)
    
    static let statusFalse = Color(.statusFalse)
    static let statusAlert = Color(.statusAlert)
    
    static let base = Color(.base)
    
    static let transparentOverlay = Color(.transparentOverlay)
    
    static let gray0 = Color(.gray0)
    static let gray100 = Color(.gray100)
    static let gray150 = Color(.gray150)
    static let gray200 = Color(.gray200)
    static let gray250 = Color(.gray250)
    static let gray300 = Color(.gray300)
    static let gray350 = Color(.gray350)
    static let gray400 = Color(.gray400)
    static let gray450 = Color(.gray450)
    static let gray500 = Color(.gray500)
    static let gray550 = Color(.gray550)
    static let gray600 = Color(.gray600)
}
