//
//  UIColors+Colors.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 7/17/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import UIKit

extension UIColor {
//    
//    static let tintColor = UIColor(resource: .tint)
//    static let barTintColor = UIColor(resource: .barTint)
//    
//    static let buttonsBlue = UIColor(resource: .buttonsBlue)
//    static let cellBackground = UIColor(resource: .cellBackground)
//    static let lightButton = UIColor(resource: .lightButton)
//    static let mainBlue = UIColor(resource: .mainBlue)
//    static let mainText = UIColor(resource: .mainText)
//    static let separator = UIColor(resource: .separator)
//    static let titlesText = UIColor(resource: .titlesText)
//    
//    static let mainBackground = UIColor(resource: .mainBackground)
}

extension UIColor {
    
    static let primary = UIColor(resource: .primary)
    static let secondary = UIColor(resource: .secondary)
    static let tertiary = UIColor(resource: .tertiary)
    
    static let primaryText = UIColor(resource: .primaryText)
    static let secondaryText = UIColor(resource: .secondaryText)
    static let tertiaryText = UIColor(resource: .tertiaryText)
    
    static let statusTrue = UIColor(resource: .statusTrue)
    
    static let statusFalse = UIColor(resource: .statusFalse)
    static let statusAlert = UIColor(resource: .statusAlert)
    
    static let base = UIColor(resource: .base)
    
    static let transparentOverlay = UIColor(resource: .transparentOverlay)
    
    static let gray0 = UIColor(resource: .gray0)
    static let gray100 = UIColor(resource: .gray100)
    static let gray150 = UIColor(resource: .gray150)
    static let gray200 = UIColor(resource: .gray200)
    static let gray250 = UIColor(resource: .gray250)
    static let gray300 = UIColor(resource: .gray300)
    static let gray350 = UIColor(resource: .gray350)
    static let gray400 = UIColor(resource: .gray400)
    static let gray450 = UIColor(resource: .gray450)
    static let gray500 = UIColor(resource: .gray500)
    static let gray550 = UIColor(resource: .gray550)
    static let gray600 = UIColor(resource: .gray600)
}
