//
//  Localization.swift
//  MiniScanner
//
//  Created by George Makhoul on 08/06/2024.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import Foundation
import LanguageManager_iOS

var lang: String {
    LanguageManager.shared.currentLanguage.rawValue
}

var flag: String {
    lang == .en ? "🇺🇸" : "🇰🇼"
}

extension String {
    static let en = "en"
    static let ar = "ar-KW"
    
    var localized: String {
//        var language = ""
        
        return localiz()
//        
//        if LanguageManager.shared.currentLanguage == .en {
//            language = "en"
//        } else {
//            language = "ar"
//        }
//        
//        guard let bundle = Bundle.main.path(forResource: language, ofType: "lproj") else {
//          return NSLocalizedString(self, comment: "")
//        }
//
//        if let langBundle = Bundle(path: bundle) {
//            return NSLocalizedString(self, tableName: nil, bundle: langBundle, comment: "")
//        }
//        
//        return NSLocalizedString(self, comment: "")
    }
    
    func localizedPlural(argument: CVarArg) -> String {
        String.localizedStringWithFormat(localized, [argument])
    }
}
