//
//  GetLanguageUseCase.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 7/17/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import Foundation

class GetLanguageUseCase {
    
    private let repository: SettingsRepositoryProtocol
    
    init(repository: SettingsRepositoryProtocol) {
        self.repository = repository
    }
    
    func execute() -> SupportedLanguage {
        repository.getLanguage()
    }
}
