//
//  HandleAppLanguageUseCase.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 7/18/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import Foundation

class HandleAppLanguageUseCase {
    
    private let repository: SettingsRepositoryProtocol
    
    init(repository: SettingsRepositoryProtocol) {
        self.repository = repository
    }
    
    func execute() {
        repository.handleAppLanguage()
    }
}
