//
//  ScanSessionEntity+CoreDataProperties.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 7/31/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//
//

import Foundation
import CoreData


extension ScanSessionEntity {
    
    @nonobjc public class func fetchRequest() -> NSFetchRequest<ScanSessionEntity> {
        return NSFetchRequest<ScanSessionEntity>(entityName: "ScanSessionEntity")
    }
    
    @NSManaged public var data: Data
    @NSManaged public var id: UUID
    @NSManaged public var name: String
    @NSManaged public var creationDate: Date
    @NSManaged public var folder: FolderEntity
    
}

extension ScanSessionEntity : Identifiable {
    
}
