//
//  UpdateScanSessionUseCase.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 7/31/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import Foundation

class UpdateScanSessionUseCase {
    
    private let repository: ScanSessionsRepositoryProtocol
    
    init(repository: ScanSessionsRepositoryProtocol) {
        self.repository = repository
    }
    
    func execute(with params: ScanSession) {
        repository.updateScanSession(params: params)
    }
}
